### CLEAN of Sgr B2N tuning at 163 (GHz)

# file name
flnm='X29d_Sgr_B2N.ms.LSRK_FluxEqual_163'	# define measurements set

					
# line specific entries:
spwid=['3','0']
freq=['166.169GHz', '163.753GHz']
mole=['CH3OH', 'HC3N']			# CH3OH v t=0 7(1,6)-7(0,7), 	HC3N(18-17)
startch=[1062, 520] 
nchans=[134, 123]
thrshld=['60', '60']			# stop cleaning when residual at this value [mJy]


for i in range(0,2):

	imgnm =	'SgrB2_163_spw'+spwid[i]+'_'+str(startch[i])+'-'+str(startch[i]+nchans[i])+'_'+freq[i]+'_'+mole[i]+'_cube.clean'	# define image name
	os.system('rm -rf '+imgnm+'*')
	tclean(vis=flnm,		# <--- tclean
	imagename=imgnm, 
        spw=spwid[i],                          
	antenna='',		
	field='Sgr_B2N',                      
	specmode='cube',          
	start=startch[i],                       
        nchan=nchans[i],
	gridder='standard',		# watch out: heterogeneous array (i.e. incl. 7m) ---> mosaic, 12m only ---> standard
	imsize=800,
        pblimit=0.05,
        cell='0.04arcsec',
        weighting='briggs',             
        robust=1.5,                     # Suppresses sidelobes
	uvtaper=['0.3arcsec'],          # Mitigates effect of sparse long baselines
	niter=2000000, 
	#cycleniter=20,			# for interactive
	restfreq=freq[i],               
	threshold=thrshld[i]+'mJy',
	interactive=T)
	
	impbcor(imagename=imgnm+'.image', pbimage=imgnm+'.pb', outfile=imgnm+'.pbcorr', mode='divide')		# PB dorrected image
	p=[imgnm+'.pb', imgnm+'.pbcorr']
	s=[os.system('rm -rf '+p[i]+'.fits') for i in range(len(p))]
	q=[exportfits(imagename=p[i], fitsimage=p[i]+'.fits') for i in range(len(p))]



